# Gimp.Brush

    from gi.repository import Gimp

    brush = Gimp.Brush()

Installable object used by painting and stroking tools.

## Hierarchy

- GObject.Object
  - Gimp.Resource
    - Gimp.Brush

## Methods

- Gimp.Brush.get_angle
- Gimp.Brush.get_aspect_ratio
- Gimp.Brush.get_buffer
- Gimp.Brush.get_hardness
- Gimp.Brush.get_info
- Gimp.Brush.get_mask
- Gimp.Brush.get_radius
- Gimp.Brush.get_shape
- Gimp.Brush.get_spacing
- Gimp.Brush.get_spikes
- Gimp.Brush.is_generated
- Gimp.Brush.set_angle
- Gimp.Brush.set_aspect_ratio
- Gimp.Brush.set_hardness
- Gimp.Brush.set_radius
- Gimp.Brush.set_shape
- Gimp.Brush.set_spacing
- Gimp.Brush.set_spikes

## Static Functions

- Gimp.Brush.get_by_name